> ## Documentation Index
> Fetch the complete documentation index at: https://mgb-ru.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# getAccountInfo

> Get AccountInfo for a single account.



## OpenAPI

````yaml POST /getAccountInfo
openapi: 3.1.0
info:
  title: MagicBlock ER Validator API
  description: >-
    The MagicBlock RPC ER is an auxiliary service designed to interact with the
    MagicBlock Ephemeral Rollups (ER) infrastructure.
  version: 1.0.0
servers:
  - url: https://devnet-router.magicblock.app
    description: Devnet - RPC Magic Router
  - url: https://devnet-as.magicblock.app
    description: Devnet - Asia ER Validator
  - url: https://devnet-eu.magicblock.app
    description: Devnet - EU ER Validator
  - url: https://devnet-us.magicblock.app
    description: Devnet - US ER Validator
security: []
paths:
  /getAccountInfo:
    post:
      summary: getAccountInfo
      description: Get AccountInfo for a single account.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                jsonrpc:
                  type: string
                  enum:
                    - '2.0'
                  default: '2.0'
                id:
                  type: integer
                  default: 1
                method:
                  type: string
                  enum:
                    - getAccountInfo
                  default: getAccountInfo
                params:
                  type: array
                  items:
                    type: string
                  minItems: 1
                  maxItems: 1
                  description: Single account address
                  default:
                    - 7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU
              required:
                - jsonrpc
                - id
                - method
                - params
            example:
              jsonrpc: '2.0'
              id: 1
              method: getAccountInfo
              params:
                - 7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU
                - encoding: base64+zstd
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                    enum:
                      - '2.0'
                    default: '2.0'
                  id:
                    oneOf:
                      - type: integer
                      - type: string
                  result:
                    type: object
                    properties:
                      context:
                        type: object
                        properties:
                          apiVersion:
                            type: string
                          slot:
                            type: integer
                        required:
                          - apiVersion
                          - slot
                      value:
                        type: object
                        properties:
                          data:
                            type: array
                            items:
                              type: string
                            description: >-
                              Account data as base64 string with optional
                              encoding info
                          executable:
                            type: boolean
                          lamports:
                            type: integer
                          owner:
                            type: string
                          rentEpoch:
                            type: integer
                          space:
                            type: integer
                        required:
                          - data
                          - executable
                          - lamports
                          - owner
                          - rentEpoch
                          - space
                    required:
                      - context
                      - value
                required:
                  - jsonrpc
                  - id
                  - result
              example:
                jsonrpc: '2.0'
                result:
                  context:
                    apiVersion: 2.2.1
                    slot: 85838062
                  value:
                    data:
                      - KLUv/QBYQQAAAgAAAAAAAAA=
                      - base64+zstd
                    executable: false
                    lamports: 946560
                    owner: 2qgx11jg9RzZHT88FwwvwxKJmtJi5cPL8KgcCAH7yRda
                    rentEpoch: 18446744073709552000
                    space: 8
                id: 1

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.